<?php
session_start();

require_once '../../../script_php/ConexaoSQL.php';
require_once '../../../script_php/Conexao.php';
require_once '../../../gerador/SqlServer.php';
require_once '../../../gerador/MysqlConsulta.php';

$sqlServer = new sqlServer;
$mysql = new MysqlConsulta;

$mysql->clearTable($conexao);

$dataInicio = $_POST['dataInicio'];
$dataFinal = $_POST['dataFinal'];
$dataInicioConsulta = date('d/m/Y', strtotime($dataInicio));
$dataFinalConsulta =  date('d/m/Y', strtotime($dataFinal));

$lojaBuscar = $_POST['loja'];

$tipoConsultaCartao = $_POST['tipocartao'];
$dados = $sqlServer->vendasCartaoPeriodoSoftcom($dataInicioConsulta,$dataFinalConsulta,$lojaBuscar,$tipoConsultaCartao);

$total = 0;
foreach ($dados as $dado) {

	$dataVenda = date('Y-m-d', strtotime($dado['DATAVENDA']));
	$dataVencimento = date('Y-m-d', strtotime($dado['DATAVENCIMENTO']));

/*	echo $dataVenda;
    echo $dado['LOJA'];
    echo $dataVencimento;
    echo $dado['NSU'];
    echo $dado['QUANTIDADE DE PARCELAS'];
    echo $dado['Parcela'];
    echo round($dado['Valor da Parcela'],2);
    echo $dado['Bandeira'];
    echo $dado['Cartão'];
    echo $dado['tpCred'] . "<br>";
*/

	$mysql->importarVendasSoftcom($conexao, $dataVenda, $dado['LOJA'], $dataVencimento, $dado['NSU'], $dado['QUANTIDADE DE PARCELAS'], $dado['Parcela'], round($dado['Valor da Parcela'], 2), $dado['Bandeira'], $dado['Cartão'], $dado['tpCred'], $dado['Registro'],$dado['ValorOriginalCartao'],$dado['taxa'],$dado['Lacrar']);

    //echo $dado[''] . '<br>';

    if($dado['Lacrar'] == 1){
    
    //informar baixa  
    $mysql-> buscarVendaRecebida($conexao,$dado['NSU'],$dado['Parcela'],$dado['LOJA'],'1');

    }else{

    $mysql-> buscarVendaRecebida($conexao,$dado['NSU'],$dado['Parcela'],$dado['LOJA'],'0');

    }
   // $total = $total + $dado['Valor da Parcela'];

}

//ajustar nsu inexistente
$mysql->ajustarNsuInesistente($conexao);

$_SESSION['msg'] = "<div class='alert alert-success'>Arquivo importado !</div>";
header("Location: ../../../importarArquivoRede.php");